%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname hoe
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:    Hoe is a simple rake/rubygems helper for project Rakefiles
Name:       rubygem-%{gemname}
Version:    1.8.2
Release:    1%{?dist}
Group:      Development/Languages
License:    MIT
URL:        http://rubyforge.org/projects/seattlerb/
Source0:    http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   ruby(abi) = 1.8
Requires:   rubygems
Requires:   rubygem(rubyforge) >= 1.0.1
Requires:   rubygem(rake) >= 0.8.3
BuildRequires:  rubygems
BuildArch:  noarch
Provides:   rubygem(%{gemname}) = %{version}

%description
Hoe is a simple rake/rubygems helper for project Rakefiles. It generates all
the usual tasks for projects including rdoc generation, testing, packaging,
and deployment.  Tasks Provided:  
 * announce         - Create news email file and post to rubyforge.
 * audit            - Run ZenTest against the package.
 * check_manifest   - Verify the manifest.
 * clean            - Clean up all the extras.
 * config_hoe       - Create a fresh ~/.hoerc file.
 * debug_gem        - Show information about the gem.
 * default          - Run the default tasks.
 * deps:email       - Print a contact list for gems dependent on this gem
 * deps:fetch       - Fetch all the dependent gems of this gem into tarballs
 * deps:list        - List all the dependent gems of this gem
 * docs             - Build the docs HTML Files
 * email            - Generate email announcement file.
 * gem              - Build the gem file hoe-1.8.0.gem
 * generate_key     - Generate a key for signing your gems.
 * install_gem      - Install the package as a gem.
 * multi            - Run the test suite using multiruby.
 * package          - Build all the packages 
 * post_blog        - Post announcement to blog. 
 * post_news        - Post announcement to rubyforge. 
 * publish_docs     - Publish RDoc to RubyForge. 
 * release          - Package and upload the release to rubyforge. 
 * ridocs           - Generate ri locally for testing. 
 * tasks            - Generate a list of tasks for doco. 
 * test             - Run the test suite. 
 * test_deps        - Show which test files fail when run alone.  

See class rdoc for help. Hint: ri Hoe

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod 0755

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/sow
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Mon Oct 27 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.2-1
- Release 1.8.2 of Hoe.

* Thu Oct 23 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.1-1
- Release 1.8.1 of Hoe.

* Mon Oct 13 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.0-2
- Fixed a typo not found till after the tag.

* Mon Oct 13 2008 Darryl Pierce <dpierce@redhat.com> - 1.8.0-1
- Release 1.8.0 of Hoe.

* Tue Jul 01 2008 Darryl Pierce <dpierce@redhat.com> - 1.7.0-1
- Release 1.7.0 of Hoe.

* Wed Jun 18 2008 Darryl Pierce <dpierce@redhat.com> - 1.6.0-1
- Release 1.6.0 of Hoe.

* Mon Jun 09 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.3-1
- Release 1.5.3 of Hoe.

* Wed May 12 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-5
- First official build for Fedora 8.

* Mon May 12 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-4
- Update for Fedora 8.

* Tue Apr 29 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-3
- Fixed the license to read MIT.

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-2
- Updated the spec to comply with Ruby packaging guidelines.

* Fri Apr 18 2008 Darryl Pierce <dpierce@redhat.com> - 1.5.1-1
- Initial package
